Bug 97061 - kernel lockd module does not support port number assigning
kernel lockd module does not support port number assigning
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Brian Brock
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2003-06-09 15:59 EDT by Ken Kleiner
Modified: 2007-11-30 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-05-10 14:28:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ken Kleiner 2003-06-09 15:59:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
In the 7.2 and 8.0 RH kernels one can specify which tcp/udp port# to 
use for the lockd module, via the lockd nlm_udpport=port# and
nlm_tcpport=port# options, in /etc/modules.conf.

This may also work in other kernels by passing
lockd.tcpport=port# and lockd.udpport=port# in grub or lilo.

This does NOT work (either mode) in RH AS 2.1, and source does not
show support for it.

Can this be enhanced?  


Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.edit /etc/modules.conf with the following:
options lockd nlm_udpport=32776 nlm_tcpport=32776


Actual Results:  NFS does not start:

Jun  9 15:55:57 earth insmod:
/lib/modules/2.4.9-e.24smp/kernel/fs/lockd/lockd.o: invalid parameter
Jun  9 15:55:57 earth insmod:
/lib/modules/2.4.9-e.24smp/kernel/fs/lockd/lockd.o: insmod nfs failed

Trying /etc/rc.d/init.d/nfslock start  gets statd up and running.

Trying /etc/rc.d/init.d/nfs start yields:

Starting NFS services:                                     [  OK  ]
Starting NFS quotas:                                       [  OK  ]
Starting NFS mountd:                                       [  OK  ]
Starting NFS daemon: nfssvc: Function not implemented

Expected Results:  lockd should start and be bound to port #32776, shown via
rpcinfo -p

Additional info:

Allowing this to happen will allow me to easily firewall the nfs
services I need.
Comment 2 Steve Dickson 2004-02-05 13:20:45 EST
I'm a bit confused.... the nfs-utils rpm (nfs-utils-0.3.3) that
ships with as21 does not have the bits to set lockd ports.
Only the nfs-utils rpm on rhel3 (nfs-utils-1.0.5-3 or 1.0.6-2.1)
have those bits since onl the rhel3 version of lockd suupports
the setting of its ports...

What does rpm -qf /etc/init.d/nfs say?
Comment 4 Suzanne Hillman 2005-05-10 14:28:33 EDT
Closing, as this appears to have been a case of confusion.

Note You need to log in before you can comment on or make changes to this bug.